package com.sqx.modules.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("user_money_details")
@ApiModel("钱包详情")
public class UserMoneyDetails implements Serializable {
    /**
     * 钱包详情id
     */
    @ApiModelProperty("钱包详情id")
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 用户id
     */
    @TableField("user_id")
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;
    /**
     * 类别 1保证金 2抽佣金额 3订单 4余额充值（后续再加）
     */
    @ApiModelProperty("类别 1保证金 2抽佣金额 3师傅订单收益 4余额充值（后续再加） 5用户提现 6师傅提现 7用户支付订单 8会员抽佣 9退款")
    private Integer classify;
    /**
     * 类型
     */
    @ApiModelProperty("1增加 2减少")
    private Integer type;

    /**
     * 金额
     */
    @ApiModelProperty("金额")
    private BigDecimal money;
    /**
     * 内容
     */
    @ApiModelProperty("内容")
    private String content;
    /**
     * 创建时间
     */
    @TableField("create_time")
    @ApiModelProperty("创建时间")
    private String createTime;

    @TableField(exist = false)
    private String nickName;

    @TableField(exist = false)
    private String phone;

    /**
     * 关联id
     */
    private Long relationId;
    /**
     * 下级等级(1:一级用户 2:二级用户)
     */
    private Integer userLevel;
    /**
     * 1用户 2师傅 3代理
     */
    private Integer userType;
}
