package com.sqx.modules.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * @description driver
 * @author fang
 * @date 2024-10-24
 */
@Data
public class Driver implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * 司机认证信息id
     */
    private Long driverId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 姓名
     */
    private String driverName;

    /**
     * 出生日期
     */
    private String dateBirth;

    /**
     * 驾龄
     */
    private String drivingYears;

    /**
     * 身份证人像面
     */
    private String frontIdentityCard;

    /**
     * 身份证国徽面
     */
    private String backIdentityCard;

    /**
     * 行驶证
     */
    private String drivingLicense;

    /**
     * 驾驶证
     */
    private String driverLicense;

    /**
     * 车辆颜色
     */
    private String driverColor;

    /**
     * 车牌
     */
    private String driverPlate;

    /**
     * 车辆品牌
     */
    private String driverBrand;

    /**
     * 状态 1待审核 2已通过 3已拒绝
     */
    private Integer status;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 审核内容
     */
    private String auditContent;

    /**
     * 是否开启听单 1是 2否
     */
    private Integer isListeningOrders;

    /**
     * 可提供的座位数
     */
    private Integer seatNum;

    /**
     * 当前所在城市
     */
    private String city;

    /**
     * 是否有亲友同行 1是 2否
     */
    private String isFriends;

    /**
     * 听单偏好 播市内订单 1是
     */
    private Integer isCityOrders;

    /**
     * 听单偏好 播跨城订单 1是
     */
    private Integer isProvinceOrders;

    /**
     * 换乘距离 km
     */
    private Integer ordersKm;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 维度
     */
    private String latitude;


    /**
     * 出发时间
     */
    private String ordersStartTime;

    /**
     * 听单类型 1不限 2拼座 3独享
     */
    private Integer ordersType;

    /**
     * 语音类型 1男生 2女生
     */
    private Integer musicType;

    @TableField(exist = false)
    private String userName;

    @TableField(exist = false)
    private String phone;

    @TableField(exist = false)
    private Integer count;

    public Driver() {}
}
