package com.sqx.modules.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description driver_route
 * @author fang
 * @date 2024-10-25
 */
@Data
public class DriverRoute implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * 司机路线id
     */
    private Long driverRouteId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 司机id
     */
    private Long driverId;

    /**
     * 出发地址id
     */
    private Long shipAddressId;

    /**
     * 出发省
     */
    private String shipProvince;

    /**
     * 出发市
     */
    private String shipCity;

    /**
     * 出发区
     */
    private String shipDistrict;

    /**
     * 出发地址
     */
    private String shipAddress;

    /**
     * 出发地址经度
     */
    private String shipAddressLongitude;

    /**
     * 出发地址维度
     */
    private String shipAddressLatitude;

    /**
     * 目的地址id
     */
    private Long deliveryAddressId;

    /**
     * 目的省
     */
    private String deliveryProvince;

    /**
     * 目的市
     */
    private String deliveryCity;

    /**
     * 目的区
     */
    private String deliveryDistrict;

    /**
     * 目的地址
     */
    private String deliveryAddress;

    /**
     * 目的地址经度
     */
    private String deliveryAddressLongitude;

    /**
     * 目的地址维度
     */
    private String deliveryAddressLatitude;

    /**
     * 出发时间
     */
    private String startTime;

    /**
     * 状态 1正常 2关闭
     */
    private Integer status;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 可提供的座位数
     */
    private String seatNum;

    /**
     * 是否有亲友同行 1是 2否
     */
    private String isFriends;

    /**
     * 高速费 1 司机承担 2 乘客承担 3 费用AA
     */
    private Integer isHighSpeedPrice;

    /**
     * 顺路百分比
     */
    @TableField(exist = false)
    private BigDecimal similarity;

    /**
     * 司机信息
     */
    @TableField(exist = false)
    private Driver driver;

    /**
     * 车辆品牌
     */
    @TableField(exist = false)
    private String driverPlate;

    /**
     * 接单数量
     */
    @TableField(exist = false)
    private Integer ordersCount;

    /**
     * 是否邀请过车主 1是
     */
    @TableField(exist = false)
    private Integer messageCount;

    /**
     * 用户名
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 手机号
     */
    @TableField(exist = false)
    private String phone;

    /**
     * 司机认证姓名
     */
    @TableField(exist = false)
    private String driverName;

    /**
     * 起点距离
     */
    @TableField(exist = false)
    private BigDecimal startDistance;

    /**
     * 终点距离
     */
    @TableField(exist = false)
    private BigDecimal endDistance;

    /**
     * 司机头像
     */
    @TableField(exist = false)
    private String avatar;

    public DriverRoute() {}
}
