package com.sqx.modules.fixedStroke.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @description fixed_stroke
 * @author fang
 * @date 2025-01-17
 */
@Data
public class FixedStroke implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * 固定行程id
     */
    private Long fixedStrokeId;

    /**
     * 出发省
     */
    private String shipProvince;

    /**
     * 出发市
     */
    private String shipCity;

    /**
     * 出发区
     */
    private String shipDistrict;

    /**
     * 出发地址
     */
    private String shipAddress;

    /**
     * 出发地址经度
     */
    private String shipAddressLongitude;

    /**
     * 出发地址维度
     */
    private String shipAddressLatitude;

    /**
     * 目的省
     */
    private String deliveryProvince;

    /**
     * 目的市
     */
    private String deliveryCity;

    /**
     * 目的区
     */
    private String deliveryDistrict;

    /**
     * 目的地址
     */
    private String deliveryAddress;

    /**
     * 目的地址经度
     */
    private String deliveryAddressLongitude;

    /**
     * 目的地址维度
     */
    private String deliveryAddressLatitude;

    /**
     * 一口价
     */
    private BigDecimal payMoney;

    /**
     * 状态 1开启 2关闭
     */
    private String status;

    /**
     * 创建时间
     */
    private String createTime;

    public FixedStroke() {}
}
