package com.sqx.modules.message.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sqx.modules.app.entity.UserEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * @author fang
 * @date 2020/7/13
 */
@Data
@TableName("message_info")
public class MessageInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * 消息id
     */
    private Long id;

    /**
     * 内容
     */
    private String content;

    /**
     * 创建时间
     */
    private String createAt;

    /**
     * 图片
     */
    private String image;

    /**
     * is_see
     */
    private String isSee;

    /**
     * send_state
     */
    private String sendState;

    /**
     * send_time
     */
    private String sendTime;

    /**
     * 分类  5 用户消息 6订单消息 7新订单通知  10行程备注 11浏览记录 12腾讯地图key轮询 13听单语音播报  18隐私号码记录
     */
    private String state;

    /**
     * 标题
     */
    private String title;

    /**
     * 地址
     */
    private String url;

    /**
     * type
     */
    private String type;

    /**
     * platform
     */
    private String platform;

    private Long ordersId;

    /**
     * 用户id
     */
    private String userId;
    /**
     * 用户id
     */
    private Integer userType;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户名
     */
    private String byUserName;

    /**
     * 用户名
     */
    private String byUserId;


    @TableField(exist = false)
    private UserEntity userEntity;

    public MessageInfo() {
    }

}