package com.sqx.modules.orders.controller.app;

import com.sqx.common.utils.Result;
import com.sqx.modules.app.annotation.Login;
import com.sqx.modules.orders.service.OrderStatisticsService;
import com.sqx.modules.orders.service.OrdersService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@Api(value = "订单统计-用户端", tags = {"订单统计-用户端"})
@RequestMapping("/app/orderStatistics")
public class OrderStatisticsController {

    @Resource
    private OrderStatisticsService orderStatisticsService;

    @Login
    @GetMapping("/getStatistics")
    @ApiOperation("获取统计数据")
    private Result getStatistics(@RequestAttribute("userId")Long userId, String startTime, String endTime){
        return Result.success().put("data",orderStatisticsService.getStatistics(userId,startTime,endTime));
    }

    @Login
    @GetMapping("/getTrend")
    @ApiOperation("获取统计数据")
    private Result getTrendWeek(@RequestAttribute("userId")Long userId,String choose){
        return Result.success().put("data",orderStatisticsService.getTrend(userId,choose));
    }

    @Login
    @GetMapping("/getYoYandQoQ")
    @ApiOperation("获取同比环比数据")
    private Result getYoYandQoQ(@RequestAttribute("userId")Long userId,String choose){
        return Result.success().put("data",orderStatisticsService.getYoYandQoQ(userId,choose));
    }
}
