package com.sqx.modules.orders.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @description 计价规则
 * @author fang
 * @date 2024-10-24
 */
@Data
public class PriceRule implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * 计价规则id
     */
    private Long priceRuleId;

    /**
     * 开始公里数
     */
    private Integer startNum;

    /**
     * 结束公里数
     */
    private Integer endNum;

    /**
     * 乘客拼座价格
     */
    private BigDecimal groupPrice;

    /**
     * 乘客独享价格
     */
    private BigDecimal price;

    /**
     * 人数
     */
    private Integer peopleNum;

    /**
     * 状态 1开启 2关闭
     */
    private Integer status;

    /**
     * 创建时间
     */
    private String createTime;

    public PriceRule() {}
}
