package com.sqx.modules.redemmCode.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.sqx.common.utils.Result;
import com.sqx.modules.app.annotation.Login;
import com.sqx.modules.redemmCode.entity.RedeemCode;
import com.sqx.modules.redemmCode.service.RedeemCodeService;
import com.sqx.modules.utils.DouYinSignUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Api(value = "兑换码", tags = {"兑换码"})
@RequestMapping("/app/redeemCode")
public class RedeemCodeController {

    @Resource
    private RedeemCodeService redeemCodeService;

    @GetMapping("/selectRedeemCodeByPage")
    @ApiOperation("查询兑换码")
    public Result selectRedeemCodeByPage(Integer page,Integer limit,Integer platform,Integer type,String startTime,String endTime){
        return redeemCodeService.selectRedeemCodeByPage(page,limit,platform,type,startTime,endTime);
    }

    @PostMapping("/insertRedeemCode")
    @ApiOperation("添加兑换码")
    public Result insertRedeemCode(RedeemCode redeemCode){
        if (null != redeemCode.getCdk() && redeemCode.getCdk() != ""){
            if (cdkOnly(redeemCode.getCdk())){
                return redeemCodeService.insertRedeemCode(redeemCode);
            }else {
                return Result.error(1001,"该兑换码已存在");
            }
        }
        return redeemCodeService.insertRedeemCode(redeemCode);
    }

    @PostMapping("/updateRedeemCode")
    @ApiOperation("修改兑换码")
    public Result updateRedeemCode(RedeemCode redeemCode){
        return redeemCodeService.updateRedeemCode(redeemCode);
    }

    @GetMapping("/decryptAES")
    @ApiOperation("解密")
    public Result decryptAES(String encryptedData){
        String decrypt = "";
        try {
            decrypt = DouYinSignUtil.decryptAES(encryptedData,"");
        } catch (Exception e) {
            e.printStackTrace();
        }
        // FIXME: 2025/5/28 0028 
//        return Result.success().put("data",decrypt);
        return Result.success().put("data","ljalkdsjldsk#$%^%");
    }

    @Login
    @GetMapping("/useRedeemCode")
    @ApiOperation("使用兑换码")
    public Result useRedeemCode(@RequestAttribute("userId")Long userId,String cdk,Integer platform,String encryptedData){
        List<RedeemCode> list = redeemCodeService.list(new QueryWrapper<RedeemCode>().eq("cdk", cdk));
        if (list.size() == 0){
            return Result.error(1002,"该兑换码不存在");
        }else if (list.size() == 1 && list.get(0).getType() == 1){
            return Result.error(1003,"该兑换码已使用");
        }
        list.get(0).setUserId(userId);
        list.get(0).setType(1);
        return redeemCodeService.useRedeemCode(list.get(0),platform);
    }

    /**
     * 唯一值查询
     * @param cdk
     * @return
     */
    private Boolean cdkOnly(String cdk){
        List<RedeemCode> list = redeemCodeService.list(new QueryWrapper<RedeemCode>().eq("cdk", cdk));
        if (list.size() == 0){
            return true; // 不存在该兑换码，可以插入
        }else {
            return false;
        }
    }
}
