package com.sqx.modules.redemmCode.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sqx.common.utils.PageUtils;
import com.sqx.common.utils.Result;
import com.sqx.modules.common.service.CommonInfoService;
import com.sqx.modules.redemmCode.dao.RedeemCodeDao;
import com.sqx.modules.redemmCode.entity.RedeemCode;
import com.sqx.modules.redemmCode.service.RedeemCodeService;
import com.sqx.modules.tbCoupon.dao.TbCouponDao;
import com.sqx.modules.tbCoupon.entity.TbCoupon;
import com.sqx.modules.tbCoupon.entity.TbCouponUser;
import com.sqx.modules.tbCoupon.service.TbCouponService;
import com.sqx.modules.tbCoupon.service.TbCouponUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Service
public class RedeemCodeServiceImpl extends ServiceImpl<RedeemCodeDao, RedeemCode> implements RedeemCodeService {

    @Resource
    private RedeemCodeDao redeemCodeDao;
    @Resource
    private TbCouponUserService tbCouponUserService;
    @Resource
    private CommonInfoService commonInfoService;

    @Override
    public Result selectRedeemCodeByPage(Integer page, Integer limit,Integer platform,Integer type,String startTime,String endTime){
        IPage<RedeemCode> redeemCodeIPage = redeemCodeDao.selectRedeemCodeByPage(new Page<>(page, limit),platform,type,startTime,endTime);
        return Result.success().put("data",new PageUtils(redeemCodeIPage));
    }

    @Override
    public Result insertRedeemCode(RedeemCode redeemCode) {
        return Result.success().put("data",baseMapper.insert(redeemCode));
    }

    @Override
    public Result updateRedeemCode(RedeemCode redeemCode) {
        return Result.success().put("data",baseMapper.updateById(redeemCode));
    }

    @Override
    public Result useRedeemCode(RedeemCode redeemCode,Integer platform) {
        //调用抖音/快手接口验券
        if (platform == 1){//抖音

        }else { // 2 快手

        }
        // FIXME: 2025/5/28 0028
        long couponId = Long.parseLong(commonInfoService.findOne(820).getValue());
        //更新优惠券 tb_coupon_user
        Result result = tbCouponUserService.receiveActivity(redeemCode.getUserId(), couponId);
        if (result.get("code").toString().equals("500")){
            return Result.error(1004,result.get("msg").toString());
        }
        redeemCode.setCouponId(Long.parseLong(result.get("couponUserId").toString()));
        //更新兑换码 type
        baseMapper.updateById(redeemCode);
        return Result.success();
    }

}
