package com.sqx.modules.trainingCenter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ApiModel("training_center")
public class TrainingCenter implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * training_id
     */
    @TableId(type = IdType.AUTO, value = "training_id")
    private Long trainingId;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;

    /**
     * 内容
     */
    @ApiModelProperty("内容")
    private String message;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(value = "create_time")
    private Timestamp createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField(value = "update_time")
    private Timestamp updateTime;

    /**
     * 删除状态 0：未删除 1：删除
     */
    @ApiModelProperty("删除状态 0：未删除 1：删除")
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    @ApiModelProperty("分类 1用户端 2师傅端 3商家端")
    private Integer type;

}
