package com.sqx.modules.userRealnameInfo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class UserRealnameInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * 实名认证id
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 身份证号
     */
    private String idCardNumber;

    /**
     * 身份证正面照片URL
     */
    private String idCardFrontUrl;

    /**
     * 身份证反面照片URL
     */
    private String idCardBackUrl;

    /**
     * 人脸识别是否通过（0否 1是）
     */
    private Integer faceVerified;

    /**
     * 认证状态（0未实名 1已实名 3实名失败 4实名中）
     */
    private Integer verifiedStatus;

    /**
     * 认证通过时间
     */
    private Date verifyTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 0-用户，1-司机
     */
    private Integer isDriver;

    private Long driverId;

    private String auditContent;
}
